sentry/sentry-laravel

Laravel SDK for Sentry (https://sentry.io)

Downloads

22968308

Stars

1014

Version

2.10.2

Sentry for Laravel

Build Status Total Downloads Downloads per month Latest stable version License

Laravel integration for Sentry.

Laravel Version Compatibility

  • Laravel <= 4.2.x is supported until 0.8.x
  • Laravel <= 5.7.x on PHP <= 7.0 is supported until 0.11.x
  • Laravel >= 5.x.x on PHP >= 7.1 is supported in all versions
  • Laravel >= 6.x.x on PHP >= 7.2 is supported starting from 1.2.0
  • Laravel >= 7.x.x on PHP >= 7.2 is supported starting from 1.7.0
  • Laravel >= 8.x.x on PHP >= 7.3 is supported starting from 1.9.0

Please note that of version >= 2.0.0 we require PHP Version >= 7.2 because we are using our new PHP SDK underneath.

Installation

Contributing

Dependencies are managed through composer:

$ composer install

Tests can then be run via phpunit:

$ vendor/bin/phpunit

Links

getsentry

Author

getsentry

Collections containing this package